Bug 1007654 - No "community supported" tag for Python-3.3 cartridge
No "community supported" tag for Python-3.3 cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 00:07 EDT by Zhe Wang
Modified: 2015-05-14 20:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:23:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-09-13 00:07:18 EDT
Description of problem:
Although python-3.3 is supported by community, there is no tag to highlight such information in either RHC or web console. Moreover, after creating a python-3.3 app, there is no message of community support either. It would be better if we could show users precise information.

Version-Release number of selected component (if applicable):


How reproducible:
INT(devenv_3779)
devenv-stage_471

Steps to Reproduce:
1. show the cartridge list supported by online via RHC, and check the description of Python-3.3
2. create a python 3.3 app via rhclog into the web console, turn into the page of creating a python-3.3 app, and check if there is information about the community support for this cartridge
3. og into the web console, turn into the page of creating a python-3.3 app, and check if there is information about the community support for this cartridge

Actual results:
None of the steps show the fact that python-3.3 is only community supported, which could be misunderstood that python-3.3 is officially supported by online now.

Expected results:
It would be better if we could show users precise information.

Additional info:
Comment 1 Clayton Coleman 2013-09-25 16:38:18 EDT
Put the :community category on python-3.3.
Comment 2 openshift-github-bot 2013-09-25 20:53:33 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a63dd22b3600d93fe2388ab71908f34cb1e2237d
Bug 1007654 - Add community category
Comment 3 chunchen 2013-11-08 02:28:37 EST
It's fixed,verified on devenv_4008, please refer to the following results:

]# rhc cartridge list -v
<------snip-------->
Python 3.3 [python-3.3] (web)
-----------------------------
Python is a general-purpose, high-level programming language whose design philosophy emphasizes code readability. Popular development frameworks include: Django, Bottle, Pylons, Zope and TurboGears.

Tagged with: community, python, service
<------snip-------->

Note You need to log in before you can comment on or make changes to this bug.